Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface TextSymbolizer

All Superinterfaces:
  Cloneable, GraphicStyle

    public interface TextSymbolizer

extends GraphicStyle

Encapsulates the style data applicable to `Graphic`s that are of type Text in the sense of SLD (OGC 02-070).

Note that the "fill color" of a `TextSymbolizer` could also be called the "text color" as it is the primary color used to draw the text.

Field Summary
`static Color` | `DEFAULT_FILL_BACKGROUND_COLOR` Default fill background color value.
`static Color` | `DEFAULT_FILL_COLOR` Default fill color value.
`static float` | `DEFAULT_FILL_OPACITY` Default fill opacity value.
`static FillPattern` | `DEFAULT_FILL_PATTERN` Default fill pattern value.
`static FillStyle` | `DEFAULT_FILL_STYLE` Default fill style value.
`static Font` | `DEFAULT_FONT`
`static float` | `DEFAULT_HALO_RADIUS` Default halo radius value.
`static float` | `DEFAULT_ROTATION` Default rotation.
`static XAnchor` | `DEFAULT_X_ANCHOR` Default xAnchor.
`static float` | `DEFAULT_X_DISPLACEMENT` Default xDisplacement.
`static YAnchor` | `DEFAULT_Y_ANCHOR` Default yAnchor.
`static float` | `DEFAULT_Y_DISPLACEMENT` Default yDisplacement.

Method Summary
`Color` | `getBackgroundColor()` Returns the color that is used to fill in a bounding box behind the text, or null if no background is to be drawn using this symbolizer.
`Color` | `getFillBackgroundColor()` Returns the color that is used as the pattern background color when a stipple pattern is used for the fill color.
`Color` | `getFillColor()` Returns the color used to draw the text.
`float[]` | `getFillGradientPoints()` Returns the fill gradient points value, or null if there is no fill gradient.
`float` | `getFillOpacity()` Returns the fill opacity value.
`FillPattern` | `getFillPattern()` Returns the fill pattern value.
`FillStyle` | `getFillStyle()` Returns the fill style value.
`Font` | `getFont()` Returns the Font object.
`Color` | `getHaloColor()` Returns the color that is used to fill in the halo, or null if no halo is to be drawn.
`float` | `getHaloRadius()` Returns the halo radius value, or zero if no halo is to be drawn.
`float` | `getRotation()` Returns the label rotation.
`XAnchor` | `getXAnchor()` Returns the label XAnchor.
`float` | `getXDisplacement()` Returns the label X displacement.
`YAnchor` | `getYAnchor()` Returns the label YAnchor.
`float` | `getYDisplacement()` Returns the label Y displacement.
`void` | `setBackgroundColor(Color backgroundColor)` Sets the color that is used for rendering a background behind the text.
`void` | `setFillBackgroundColor(Color fillBackgroundColor)` Sets the color that is used as the pattern background color when a stipple pattern is used for the fill color.
`void` | `setFillColor(Color fillColor)` Sets the color used to draw the text.
`void` | `setFillGradientPoints(float[] fillGradientPoints)` Sets the fill gradient points value.
`void` | `setFillOpacity(float fillOpacity)` Sets the fill opacity value.
`void` | `setFillPattern(FillPattern fillPattern)` Sets the fill pattern value.
`void` | `setFillStyle(FillStyle fillStyle)` Sets the fill style value.
`void` | `setFont(Font object)` Sets the Font object.
`void` | `setHaloColor(Color haloColor)` Sets the halo color.
`void` | `setHaloRadius(float haloRadius)` Sets the halo radius value.
`void` | `setRotation(float labelRotation)` Sets the label rotation.
`void` | `setXAnchor(XAnchor xAnchor)` Sets the label XAnchor.
`void` | `setXDisplacement(float xDisplacement)` Sets the label X displacement.
`void` | `setYAnchor(YAnchor yAnchor)` Sets the label YAnchor.
`void` | `setYDisplacement(float yDisplacement)` Sets the label Y displacement.

Methods inherited from interface GraphicStyle
`addGraphicStyleListener, clone, getImplHint, removeGraphicStyleListener, setImplHint, setPropertiesFrom`

Field Detail

### DEFAULT_FILL_COLOR

    static final Color DEFAULT_FILL_COLOR

  Default fill color value.

### DEFAULT_FILL_BACKGROUND_COLOR

    static final Color DEFAULT_FILL_BACKGROUND_COLOR

  Default fill background color value.

### DEFAULT_FILL_OPACITY

    static final float DEFAULT_FILL_OPACITY

  Default fill opacity value.

  See Also:
    Constant Field Values

### DEFAULT_FILL_PATTERN

    static final FillPattern DEFAULT_FILL_PATTERN

  Default fill pattern value.

### DEFAULT_FILL_STYLE

    static final FillStyle DEFAULT_FILL_STYLE

  Default fill style value.

### DEFAULT_FONT

    static final Font DEFAULT_FONT

### DEFAULT_HALO_RADIUS

    static final float DEFAULT_HALO_RADIUS

  Default halo radius value.

  See Also:
    Constant Field Values

### DEFAULT_ROTATION

    static final float DEFAULT_ROTATION

  Default rotation.

  See Also:
    Constant Field Values

### DEFAULT_X_ANCHOR

    static final XAnchor DEFAULT_X_ANCHOR

  Default xAnchor.

### DEFAULT_X_DISPLACEMENT

    static final float DEFAULT_X_DISPLACEMENT

  Default xDisplacement.

  See Also:
    Constant Field Values

### DEFAULT_Y_ANCHOR

    static final YAnchor DEFAULT_Y_ANCHOR

  Default yAnchor.

### DEFAULT_Y_DISPLACEMENT

    static final float DEFAULT_Y_DISPLACEMENT

  Default yDisplacement.

  See Also:
    Constant Field Values

Method Detail

### getFillColor

    Color getFillColor()

  Returns the color used to draw the text. This is the color used to fill the interior of the font glyphs.

  Returns:
    the text foreground color.

### setFillColor

    void setFillColor(Color fillColor)

  Sets the color used to draw the text. This is the color used to fill the interior of the font glyphs.

  Parameters:
    `fillColor` - the text foreground color.

### getFillBackgroundColor

    Color getFillBackgroundColor()

  Returns the color that is used as the pattern background color when a stipple pattern is used for the fill color.

  Returns:
    the font glyph background color for stippled text rendering.

### setFillBackgroundColor

    void setFillBackgroundColor(Color fillBackgroundColor)

  Sets the color that is used as the pattern background color when a stipple pattern is used for the fill color.

  Parameters:
    `fillBackgroundColor` - the font glyph background color for stippled text rendering.

### getFillGradientPoints

    float[] getFillGradientPoints()

  Returns the fill gradient points value, or null if there is no fill gradient.

  Returns:
    the fill gradient points value.

### setFillGradientPoints

    void setFillGradientPoints(float[] fillGradientPoints)

  Sets the fill gradient points value.

  Parameters:
    `fillGradientPoints` - the fill gradient points value, or null to specify no fill gradient.

### getFillOpacity

    float getFillOpacity()

  Returns the fill opacity value.

  Returns:
    the fill opacity value.

### setFillOpacity

    void setFillOpacity(float fillOpacity)

  Sets the fill opacity value.

  Parameters:
    `fillOpacity` - the fill opacity value.

### getFillPattern

    FillPattern getFillPattern()

  Returns the fill pattern value.

  Returns:
    the fill pattern value.

### setFillPattern

    void setFillPattern(FillPattern fillPattern)

  Sets the fill pattern value.

  Parameters:
    `fillPattern` - the fill pattern value.

### getFillStyle

    FillStyle getFillStyle()

  Returns the fill style value.

  Returns:
    the fill style value.

### setFillStyle

    void setFillStyle(FillStyle fillStyle)

  Sets the fill style value.

  Parameters:
    `fillStyle` - the fill style value.

### getFont

    Font getFont()

  Returns the Font object.

  Returns:
    the Font object.

### setFont

    void setFont(Font object)

  Sets the Font object.

  Parameters:
    `object` - the Font object.

### getHaloRadius

    float getHaloRadius()

  Returns the halo radius value, or zero if no halo is to be drawn.

  Returns:
    the value of the halo radius.

### setHaloRadius

    void setHaloRadius(float haloRadius)

  Sets the halo radius value. If zero, no halo will be drawn.

  Parameters:
    `haloRadius` - the value of the halo radius.

### getHaloColor

    Color getHaloColor()

  Returns the color that is used to fill in the halo, or null if no halo is to be drawn.

  Returns:
    the halo color.

### setHaloColor

    void setHaloColor(Color haloColor)

  Sets the halo color.

  Parameters:
    `haloColor` - the halo color.

### getBackgroundColor

    Color getBackgroundColor()

  Returns the color that is used to fill in a bounding box behind the text, or null if no background is to be drawn using this symbolizer.

  Returns:
    the color of the background behind the label, or null if no background will be drawn.

### setBackgroundColor

    void setBackgroundColor(Color backgroundColor)

  Sets the color that is used for rendering a background behind the text.

  Parameters:
    `backgroundColor` - the font glyph background color for stippled text rendering.

### getRotation

    float getRotation()

  Returns the label rotation.

  Returns:
    the label rotation.

### setRotation

    void setRotation(float labelRotation)

  Sets the label rotation.

  Parameters:
    `labelRotation` - the label rotation.

### getXAnchor

    XAnchor getXAnchor()

  Returns the label XAnchor.

  Returns:
    the label XAnchor.

### setXAnchor

    void setXAnchor(XAnchor xAnchor)

  Sets the label XAnchor.

  Parameters:
    `xAnchor` - the label XAnchor.

### getXDisplacement

    float getXDisplacement()

  Returns the label X displacement.

  Returns:
    the label X displacement.

### setXDisplacement

    void setXDisplacement(float xDisplacement)

  Sets the label X displacement.

  Parameters:
    `xDisplacement` - the label X displacement.

### getYAnchor

    YAnchor getYAnchor()

  Returns the label YAnchor.

  Returns:
    the label YAnchor.

### setYAnchor

    void setYAnchor(YAnchor yAnchor)

  Sets the label YAnchor.

  Parameters:
    `yAnchor` - the label YAnchor.

### getYDisplacement

    float getYDisplacement()

  Returns the label Y displacement.

  Returns:
    the label Y displacement.

### setYDisplacement

    void setYDisplacement(float yDisplacement)

  Sets the label Y displacement.

  Parameters:
    `yDisplacement` - the label Y displacement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.